/* 2010-07-02: File added and changed by Sony Corporation */
/*
 *  File Name       : arch/arm/mach-emxx/include/mach/emxx_mem.h
 *  Function        : memory map difinition
 *  Release Version : Ver 1.11
 *  Release Date    : 2010/06/17
 *
 *  Copyright (C) Renesus Electronics Corporation 2010
 *
 *
 *  This program is free software;you can redistribute it and/or modify it
 *  under the terms of the GNU General Public License as published by Free
 *  Softwere Foundation; either version 2 of License, or (at your option) any
 *  later version.
 *
 *  This program is distributed in the hope that it will be useful, but WITHOUT
 *  ANY WARRANTY; without even the implied warrnty of MERCHANTABILITY or
 *  FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
 *  more details.
 *
 *  You should have received a copy of the GNU General Public License along
 *  with this program; If not, write to the Free Software Foundation, Inc., 59
 *  Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 */

#ifndef __EMEV_MEM_H
#define __EMEV_MEM_H

/******* SDRAM ********/

/* PMEM(40MB) */
#define EMXX_PMEM_BASE		0x48100000
#define EMXX_PMEM_SIZE		0x02800000

/* Camera frame buffer(2MB) */
#define CAMERA_FRAME_BASE	0x4A900000
#define CAMERA_FRAME_SIZE	0x00200000

/* FB frame buffer(12MB) */
#define FB_FRAME_BUFFER_ADDR	0x4AB00000
#define FB_FRAME_BUFFER_SIZE	0x01000000

/* Direct Path frame buffer(6MB) */
#define LCD_FRAME_BUFFER_ADDR	0x4BB00000
#define LCD_FRAME_BUFFER_SIZE	0x00600000

/* V4L2 ROT buffer(12MB) */
/* 0x4C10_0000 - 0x4CCF_FFFF */

#define V4L2_ROT_BUFFER_ADDR	0x4C100000
#define V4L2_ROT_BUFFER_SIZE	0x00C00000

/* NTSC frame buffer(2MB) */
/* 0x4CD0_0000 - 0x4CEF_FFFF */

#define NTSC_FRAME_BUFFER_ADDR	0x4CD00000
#define NTSC_FRAME_BUFFER_SIZE	0x00200000


/* InterDSP */
#define INTERDSP_DL_TOP_ADDR	0x4CF00000 /* DSP-FW downlaod range (top) */
#define INTERDSP_DL_BOTTOM_ADDR	0x4FFDFFFF /*                       (end) */

/* CPU<->DSP command buffer(128K) */
#define INTERDSP_SHARED_ADDR	0x4FFE0000
#define INTERDSP_SHARED_SIZE	0x00020000

#define SHARED_MEM_ADDRESS 	INTERDSP_SHARED_ADDR
#define SHARED_MEM_SIZE 	INTERDSP_SHARED_SIZE
#define DOWNLOAD_RANGE_START 	INTERDSP_DL_TOP_ADDR
#define DOWNLOAD_RANGE_END 	INTERDSP_DL_BOTTOM_ADDR

#endif /* __EMEV_MEM_H */
