/* 2010-04-23: File added by Sony Corporation */
/*
 *  File Name       : arch/arm/mach-emxx/include/mach/uncompress.h
 *  Function	    : Serial port stubs for kernel decompress status messages
 *  Release Version : Ver 1.00
 *  Release Date    : 2010/02/05
 *
 *  Copyright (C) NEC Electronics Corporation 2010
 *
 *  This program is free software;you can redistribute it and/or modify it
 *  under the terms of the GNU General Public License as published by Free
 *  Softwere Foundation; either version 2 of License, or (at your option) any
 *  later version.
 *
 *  This program is distributed in the hope that it will be useful, but WITHOUT
 *  ANY WARRANTY; without even the implied warrnty of MERCHANTABILITY or
 *  FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
 *  more details.
 *
 *  You should have received a copy of the GNU General Public License along
 *  with this program; If not, write to the Free Software Foundation, Inc., 59
 *  Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 */

#include <linux/types.h>
#include <linux/serial_reg.h>
#include <mach/hardware.h>

static void putc(int c)
{
	volatile u8 *uart = (volatile u8 *)(EMXX_UART0_BASE);

	while (!(uart[UART_LSR] & UART_LSR_THRE))
		barrier();
	uart[UART_TX] = c;
}

static inline void flush(void)
{
	volatile u8 *uart = (volatile u8 *)(EMXX_UART0_BASE);

	while (!(uart[UART_LSR] & UART_LSR_THRE))
		barrier();
}

/*
 * nothing to do
 */
#define arch_decomp_setup()
#define arch_decomp_wdog()
